Type to search.

Get case settings

Base URL
https://{kibana_url}
  • GET /api/cases/configure
  • GET /s/{space_id}/api/cases/configure
Auth

Get setting details such as the closure type, custom fields, templates, and the default connector for cases. You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where the cases were created.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

owner union oneOf

A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

Values: cases observability securitySolution

Responses

Indicates a successful call.

application/json
<array> object[]
closure_type enum

Indicates whether a case is automatically closed when it is pushed to external systems (close-by-pushing) or not automatically closed (close-by-user).

Values: close-by-pushing close-by-user
created_at string · format: date-time
error string nullable
extractObservables boolean

Indicates whether observables (for example, IPs, hashes, and URLs) are automatically extracted from case comments and events.

id string
owner enum

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
updated_at string · format: date-time nullable
version string
workflowTags string[] · max items: 100

Workflow tags that limit which workflows appear in Cases workflow selectors. An empty array shows all workflows.